package com.sunxung.factoring.entity.financing.apply.vo;

import java.math.BigDecimal;

/**
 * @Description : 融资申请列表页Vo
 * @Author : L.Jia
 * @Date: 2024-01-03 09:58
 */
public class FinancingApplyListVo {

    /**
     * Id
     */
    private Long id;

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 保理合同编号
     */
    private String contractNumber;

    /**
     * 支用批次
     */
    private Integer quotaDisburseBatch;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 核心企业名称
     */
    private String coreEnterpriseName;

    /**
     * 主企业（供应商）名称
     **/
    private String mainEnterpriseName;

    /**
     * 贸易平台名称
     **/
    private String platformName;

    /**
     * 融资金额
     */
    private BigDecimal financingAmount;

    /**
     * 当前阶段
     */
    private String currentStage;

    /**
     * 融资状态: 处理中、放款执行中、还款中、已完成、已终止、已逾期
     */
    private String financingStatus;

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getCoreEnterpriseName() {
        return coreEnterpriseName;
    }

    public void setCoreEnterpriseName(String coreEnterpriseName) {
        this.coreEnterpriseName = coreEnterpriseName;
    }

    public String getMainEnterpriseName() {
        return mainEnterpriseName;
    }

    public void setMainEnterpriseName(String mainEnterpriseName) {
        this.mainEnterpriseName = mainEnterpriseName;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public BigDecimal getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(BigDecimal financingAmount) {
        this.financingAmount = financingAmount;
    }

    public String getCurrentStage() {
        return currentStage;
    }

    public void setCurrentStage(String currentStage) {
        this.currentStage = currentStage;
    }

    public String getFinancingStatus() {
        return financingStatus;
    }

    public void setFinancingStatus(String financingStatus) {
        this.financingStatus = financingStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
